## openvpn 2.6.9

=== sample/sample-plugins/Makefile ===
--- 
+++ 
@@ -100,8 +100,8 @@
 NORMAL_UNINSTALL = :
 PRE_UNINSTALL = :
 POST_UNINSTALL = :
-build_triplet = aarch64-apple-darwin22.6.0
-host_triplet = aarch64-apple-darwin22.6.0
+build_triplet = x86_64-pc-linux-gnu
+host_triplet = x86_64-pc-linux-gnu
 subdir = sample/sample-plugins
 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_socklen_t.m4 \
@@ -141,20 +141,20 @@
 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.plugins \
 	README
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' aclocal-1.16
+ACLOCAL = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 1
 AR = ar
 AS = as
-AUTOCONF = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoconf
-AUTOHEADER = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' autoheader
-AUTOMAKE = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' automake-1.16
-AWK = awk
+AUTOCONF = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoconf
+AUTOHEADER = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' autoheader
+AUTOMAKE = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' automake-1.16
+AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
-CFLAGS = -Wall -g -O2 -std=c99
-CMOCKA_CFLAGS = -I/opt/homebrew/Cellar/cmocka/1.1.7/include
-CMOCKA_LIBS = -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
+CFLAGS = -Wall -Wno-stringop-truncation -g -O2 -std=c99 
+CMOCKA_CFLAGS = 
+CMOCKA_LIBS = -lcmocka
 CPP = gcc -E
 CPPFLAGS = 
 CSCOPE = cscope
@@ -164,62 +164,61 @@
 DEPDIR = .deps
 DLLTOOL = false
 DL_LIBS = -ldl
-DSYMUTIL = dsymutil
+DSYMUTIL = 
 DUMPBIN = 
-ECHO_C = \c
-ECHO_N = 
+ECHO_C = 
+ECHO_N = -n
 ECHO_T = 
 EGREP = /usr/bin/grep -E
 ENABLE_UNITTESTS = 
 ETAGS = etags
 EXEEXT = 
 FGREP = /usr/bin/grep -F
-FILECMD = file
 GIT = git
 GREP = /usr/bin/grep
-IFCONFIG = /sbin/ifconfig
-INSTALL = /opt/homebrew/opt/coreutils/libexec/gnubin/install -c
+IFCONFIG = /usr/sbin/ifconfig
+INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-IPROUTE = 
-LD = /Library/Developer/CommandLineTools/usr/bin/ld
+IPROUTE = /usr/sbin/ip
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBCAPNG_CFLAGS = 
-LIBCAPNG_LIBS = 
+LIBCAPNG_LIBS = -lcap-ng
 LIBNL_GENL_CFLAGS = 
 LIBNL_GENL_LIBS = 
 LIBOBJS = 
 LIBPAM_CFLAGS = 
 LIBPAM_LIBS = -lpam
-LIBS = -lresolv 
+LIBS =  -lcap-ng
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIPO = lipo
+LIPO = 
 LN_S = ln -s
 LTLIBOBJS = 
 LT_SYS_LIBRARY_PATH = 
 LZ4_CFLAGS = 
 LZ4_LIBS = 
 LZO_CFLAGS = 
-LZO_LIBS = 
-MAKEINFO = ${SHELL} '/Users/uddr/devel/openvpn/openvpn-build/src/openvpn/missing' makeinfo
+LZO_LIBS = -llzo2
+MAKEINFO = ${SHELL} '/home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/missing' makeinfo
 MANIFEST_TOOL = :
 MBEDTLS_CFLAGS = 
 MBEDTLS_LIBS = 
-MKDIR_P = /opt/homebrew/opt/coreutils/libexec/gnubin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NETSTAT = netstat
 NM = /usr/bin/nm -B
-NMEDIT = nmedit
+NMEDIT = 
 OBJDUMP = objdump
 OBJEXT = o
-OPENSSL_CFLAGS = -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
-OPENSSL_LIBS = -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
+OPENSSL_CFLAGS = 
+OPENSSL_LIBS = -lssl -lcrypto
 OPENVPN_VERSION_MAJOR = 2
 OPENVPN_VERSION_MINOR = 6
-OPENVPN_VERSION_PATCH = .7
-OPTIONAL_CRYPTO_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include
-OPTIONAL_CRYPTO_LIBS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto
+OPENVPN_VERSION_PATCH = .9
+OPTIONAL_CRYPTO_CFLAGS =  
+OPTIONAL_CRYPTO_LIBS =  -lssl -lcrypto
 OPTIONAL_DL_LIBS = -ldl
 OPTIONAL_INOTIFY_CFLAGS = 
 OPTIONAL_INOTIFY_LIBS = 
@@ -231,21 +230,21 @@
 OPTIONAL_PKCS11_HELPER_LIBS = 
 OPTIONAL_SELINUX_LIBS = 
 OPTIONAL_SYSTEMD_LIBS = 
-OTOOL = otool
-OTOOL64 = :
+OTOOL = 
+OTOOL64 = 
 P11KIT_CFLAGS = 
 P11KIT_LIBS = 
 PACKAGE = openvpn
 PACKAGE_BUGREPORT = openvpn-users@lists.sourceforge.net
 PACKAGE_NAME = OpenVPN
-PACKAGE_STRING = OpenVPN 2.6.7
+PACKAGE_STRING = OpenVPN 2.6.9
 PACKAGE_TARNAME = openvpn
 PACKAGE_URL = 
-PACKAGE_VERSION = 2.6.7
+PACKAGE_VERSION = 2.6.9
 PATH_SEPARATOR = :
 PKCS11_HELPER_CFLAGS = 
-PKCS11_HELPER_LIBS = 
-PKG_CONFIG = /opt/homebrew/bin/pkg-config
+PKCS11_HELPER_LIBS = -lpthread -ldl -lcrypto -lpkcs11-helper
+PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
 PKG_CONFIG_PATH = 
 PLUGINDIR = 
@@ -253,32 +252,32 @@
 PLUGIN_AUTH_PAM_LIBS = 
 RANLIB = ranlib
 RC = 
-ROUTE = /sbin/route
+ROUTE = /usr/sbin/route
 RST2HTML = rst2html
 RST2MAN = rst2man
-SED = /opt/homebrew/opt/gnu-sed/libexec/gnubin/sed
-SELINUX_LIBS = 
+SED = /usr/bin/sed
+SELINUX_LIBS = -lselinux
 SET_MAKE = 
-SHELL = /bin/sh
-SOCKETS_LIBS =  -lresolv
+SHELL = /bin/bash
+SOCKETS_LIBS =  -lnsl -lresolv
 STRIP = strip
-SYSTEMD_ASK_PASSWORD = 
+SYSTEMD_ASK_PASSWORD = /usr/bin/systemd-ask-password
 SYSTEMD_UNIT_DIR = 
 TAP_CFLAGS = 
 TAP_WIN_COMPONENT_ID = tap0901
 TAP_WIN_MIN_MAJOR = 9
 TAP_WIN_MIN_MINOR = 9
-TEST_CFLAGS =  -I/opt/homebrew/Cellar/openssl@3/3.1.2/include   -I$(top_srcdir)/include -I/opt/homebrew/Cellar/cmocka/1.1.7/include
-TEST_LDFLAGS =  -L/opt/homebrew/Cellar/openssl@3/3.1.2/lib -lssl -lcrypto   -L/opt/homebrew/Cellar/cmocka/1.1.7/lib -lcmocka
+TEST_CFLAGS =     -I$(top_srcdir)/include 
+TEST_LDFLAGS =  -lssl -lcrypto   -lcmocka
 TMPFILES_DIR = 
-VERSION = 2.6.7
+VERSION = 2.6.9
 WOLFSSL_CFLAGS = 
 WOLFSSL_INCLUDEDIR = 
 WOLFSSL_LIBS = 
-abs_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/sample/sample-plugins
-abs_top_builddir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
-abs_top_srcdir = /Users/uddr/devel/openvpn/openvpn-build/src/openvpn
+abs_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/sample/sample-plugins
+abs_top_builddir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
+abs_top_srcdir = /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn
 ac_ct_AR = ar
 ac_ct_CC = gcc
 ac_ct_DUMPBIN = 
@@ -288,26 +287,26 @@
 am__tar = $${TAR-tar} chof - "$$tardir"
 am__untar = $${TAR-tar} xf -
 bindir = ${exec_prefix}/bin
-build = aarch64-apple-darwin22.6.0
+build = x86_64-pc-linux-gnu
 build_alias = 
-build_cpu = aarch64
-build_os = darwin22.6.0
-build_vendor = apple
+build_cpu = x86_64
+build_os = linux-gnu
+build_vendor = pc
 builddir = .
 datadir = ${datarootdir}
 datarootdir = ${prefix}/share
 docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
 dvidir = ${docdir}
 exec_prefix = ${prefix}
-host = aarch64-apple-darwin22.6.0
+host = x86_64-pc-linux-gnu
 host_alias = 
-host_cpu = aarch64
-host_os = darwin22.6.0
-host_vendor = apple
+host_cpu = x86_64
+host_os = linux-gnu
+host_vendor = pc
 htmldir = ${docdir}
 includedir = ${prefix}/include
 infodir = ${datarootdir}/info
-install_sh = ${SHELL} /Users/uddr/devel/openvpn/openvpn-build/src/openvpn/install-sh
+install_sh = ${SHELL} /home/flichtenheld/openvpn/community/openvpn-build/src/openvpn/install-sh
 libdir = ${exec_prefix}/lib
 libexecdir = ${exec_prefix}/libexec
 libsystemd_CFLAGS = 
@@ -399,3 +398,13 @@
 cscope cscopelist:
 
 distdir: $(BUILT_SOURCES)
+	$(MAKE) $(AM_MAKEFLAGS) distdir-am
+
+distdir-am: $(DISTFILES)
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
