=== debian/changelog ===
openvpn (2.6.11-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Jul 2024 15:42:17 +0200

openvpn (2.6.11-1) unstable; urgency=medium

  * New upstream version 2.6.11 (Closes: #1074488)
    - CVE-2024-28882
      client can circumvent management client-kill
    - CVE-2024-5594
      malicious peer can DoS or send garbage to logs
  * d/openvpn@.service: Add CAP_SETPCAP required for openvpn-dco-dkms
    (Closes: #1074504)
  * drop d/patches/systemd.patch, applied upstream

 -- Bernhard Schmidt <berni@debian.org>  Mon, 08 Jul 2024 00:06:59 +0200

openvpn (2.6.10-0ubuntu1) oracular; urgency=medium

  * New upstream version 2.6.10 (LP: #2064436)
    - Updates:
      + t_client.sh can now run pre-tests and skip a test block if needed.
      + Remove license warnings about mbedTLS linking.
      + Update documentation references in systemd unit files.
      + Remove obsolete tls-*.conf sample files.
      + document that auth-user-pass may be inlined.
    - Bug fixes:
      + Fix checking option consistency for compiled-in compression algorithm
        support.
      + Remove obsolete syslog.target in systemd unit files.
      + Additional Windows bug fixes.
    - See https://community.openvpn.net/openvpn/wiki/ChangesInOpenvpn26 for
      additional bug fixes and information.
  * d/p/systemd.patch: Remove - Fixed upstream

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 01 May 2024 10:02:39 -0700
