=== debian/tests/control ===
Tests: server-setup-with-ca
Depends: openvpn, easy-rsa
Restrictions: needs-root, isolation-machine, allow-stderr

Tests: server-setup-with-static-key
Restrictions: needs-root, isolation-machine, allow-stderr
