=== debian/changelog ===
openvpn (2.6.13-1ubuntu3) plucky; urgency=medium

  * SECURITY UPDATE: denial of service issue
    - debian/patches/CVE-2025-2704.patch: allow tls-crypt-v2 to be setup
      only on initial packet of a session in src/openvpn/ssl.c,
      src/openvpn/ssl_common.h, src/openvpn/ssl_pkt.c,
      src/openvpn/ssl_pkt.h, src/openvpn/tls_crypt.c,
      src/openvpn/tls_crypt.h, tests/unit_tests/openvpn/test_tls_crypt.c.
    - CVE-2025-2704

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 01 Apr 2025 12:03:56 -0400

openvpn (2.6.13-1ubuntu2) plucky; urgency=medium

  * d/t/control: Move to isolation-container to enable armhf/LXD coverage.
    (LP: #2104146)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 25 Mar 2025 14:47:41 +0100

openvpn (2.6.13-1ubuntu1) plucky; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 22:24:50 -0600

openvpn (2.6.13-1) unstable; urgency=medium

  * New upstream version 2.6.13 (Closes: #1095675)

 -- Bernhard Schmidt <berni@debian.org>  Mon, 10 Feb 2025 22:09:11 +0100

openvpn (2.6.12-1ubuntu1) oracular; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: Demote easy-rsa to Suggests (universe package).
    - debian/openvpn@.service: Add '--script-security 2' similar to what
      got added to debian/openvpn.init.d ages ago (LP #1454725)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 19 Jul 2024 17:47:31 +0200

openvpn (2.6.12-1) unstable; urgency=medium

  * New upstream version 2.6.12
    - Fix regression in CVE-2024-5594 patch breaking user configurations with
      AUTH_FAIL messages having trailing CR/NL characters. This often happens
      if the AUTH_FAIL reason is set by a script

 -- Bernhard Schmidt <berni@debian.org>  Thu, 18 Jul 2024 23:30:00 +0200
